include "config.thrift"

struct PushReq {
    1: required i64 id
    2: required string title
    3: required string content
}

struct PushResp {
    1: required i64 errCode
    2: string errMsg
    3: string msgId
}

struct ListPusherRequest {
	 1: string keyword
	 2: optional i64  page = 10
	 3: optional i16  size = 1
	 4: bool   all
}

struct ListPusherResponse {
	1: i64 total
	2: list<config.PushConfig> list
}

service PushService{
    PushResp Push(1: PushReq req)
    void Add(1: config.PushConfig req)
    ListPusherResponse List(1: ListPusherRequest req)
}
